﻿using System.Linq;
using Bsm.Core.Analyzer;
using Bsm.Core.Loader;
using Xunit;

// ReSharper disable UnusedVariable

namespace Bsm.Core.Tests
{
    public class AnalyzerPoc
    {
        [Fact]
        public void RealNpsPoc()
        {
            var info = CustomLevelLoader.FromDirectory(@"Z:\CustomLevel\652f (HAMELN - Rigid)");
            var hameln = NotePerSecondAnalyzer.Handle(info.DifficultyBeatmapSets.FirstOrDefault()?.DifficultyBeatmaps.FirstOrDefault()?.Content.Notes, info.BeatsPerMinute);

            info = CustomLevelLoader.FromDirectory(@"Z:\CustomLevel\ee5d (Onyx Veil - WeissLilie)");
            var ov = NotePerSecondAnalyzer.Handle(info.DifficultyBeatmapSets.FirstOrDefault()?.DifficultyBeatmaps.FirstOrDefault()?.Content.Notes, info.BeatsPerMinute);

            info = CustomLevelLoader.FromDirectory(@"Z:\CustomLevel\6d1e (Halloween of the Dead - Hatsuki Yura)");
            var dead = NotePerSecondAnalyzer.Handle(info.DifficultyBeatmapSets.FirstOrDefault()?.DifficultyBeatmaps.FirstOrDefault()?.Content.Notes, info.BeatsPerMinute);
        }
    }
}
