﻿using System.Linq;
using Bsm.Core.Analyzer;

namespace Bsm.Core.Models.Analyze
{
    public class NotePerSecondAnalyzeResult
    {
        public float MaxNps { get; set; }
        public int Peak { get; set; }
        public float AvgNps { get; set; }
        public int MinNps { get; set; }
        public int MinNpsInSeconds { get; set; }
        public int MaxNpsInSeconds { get; set; }
        public int RestSeconds { get; set; }
        public int AvgNpsInSeconds { get; set; }

        public float?[] Graph { get; set; }

        public string VisGraph
        {
            get
            {
                return string.Join(" ", Graph.Select(p => p.HasValue ? (((int)(p.Value * 10)).ToString("X")) : ".").ToArray().SpliceByCount(12).Select(p => string.Join("", p)));
            }
        }
    }
}
