﻿using Newtonsoft.Json;

namespace Bsm.Core.Models.Raw
{
    public class PpListModel
    {
        [JsonProperty("diffs")]
        public Diff[] Diffs { get; set; }

        [JsonProperty("key")]
        public string Key { get; set; }

        [JsonProperty("mapper")]
        public string Mapper { get; set; }

        [JsonProperty("song")]
        public string Song { get; set; }

        [JsonProperty("bpm")]
        public long Bpm { get; set; }

        [JsonProperty("downloadCount")]
        public long DownloadCount { get; set; }

        [JsonProperty("upVotes")]
        public long UpVotes { get; set; }

        [JsonProperty("downVotes")]
        public long DownVotes { get; set; }

        [JsonProperty("heat")]
        public float Heat { get; set; }

        [JsonProperty("rating")]
        public float Rating { get; set; }
    }

    public class Diff
    {
        [JsonProperty("pp")]
        public float Pp { get; set; }

        [JsonProperty("star")]
        public float Star { get; set; }

        [JsonProperty("scores")]
        public long Scores { get; set; }

        [JsonProperty("diff")]
        public string DiffDiff { get; set; }

        [JsonProperty("type")]
        public long Type { get; set; }

        [JsonProperty("len")]
        public long Len { get; set; }

        [JsonProperty("njs")]
        public long Njs { get; set; }

        [JsonProperty("njt")]
        public long Njt { get; set; }

        [JsonProperty("bmb")]
        public long Bmb { get; set; }

        [JsonProperty("nts")]
        public long Nts { get; set; }

        [JsonProperty("obs")]
        public long Obs { get; set; }
    }
}
