﻿using Newtonsoft.Json;

namespace Bsm.Core.Models.Raw
{
    public class DifficultyBeatmap
    {
        [JsonProperty("_difficulty")]
        public string Difficulty { get; set; }

        [JsonProperty("_difficultyRank")]
        public long DifficultyRank { get; set; }

        [JsonProperty("_beatmapFilename")]
        public string BeatmapFilename { get; set; }

        [JsonProperty("_noteJumpMovementSpeed")]
        public long NoteJumpMovementSpeed { get; set; }

        [JsonProperty("_customData")]
        public DifficultyBeatmapCustomData CustomData { get; set; }

        public DifficultyBeatmapContent Content { get; set; }
    }

    public class DifficultyBeatmapCustomData
    {
        [JsonProperty("_requirements")]
        public string[] Requirements { get; set; }
    }
}