﻿using Newtonsoft.Json;

namespace Bsm.Core.Models.Raw
{
    public  class Note
    {
        [JsonProperty("_time")]
        public float Time { get; set; }

        [JsonProperty("_lineIndex")]
        public int LineIndex { get; set; }

        [JsonProperty("_lineLayer")]
        public int LineLayer { get; set; }

        [JsonProperty("_type")]
        public int Type { get; set; }

        [JsonProperty("_cutDirection")]
        public int CutDirection { get; set; }

        [JsonProperty("_customData")]
        public NoteCustomData CustomData { get; set; }

        public override string ToString()
        {
            return $"{Time} {Type}:{CutDirection}({LineIndex},{LineLayer})";
        }
    }

    public class NoteCustomData
    {
        [JsonProperty("_fake")]
        public bool Fake { get; set; }
    }
}